## login

### post:
```js
user: {
    phone: string,
    password: string
}
```
## register(security verify)

### post:
```js
user: {
    phone: string,
    password: string,
    nickname: string,
    gender: int, // male: 0; female: 1
    dormitory: int, // ['斋区', 西南', '南区', '西丽']
    photo: {
        content: bse64编码,
        file: {
            lastModified: long, // TimeInMills?
            lastModifiedDate: object, // Time
            name: string, // image name
            size: long,
            type: string, // "image/png"
            webkitRelativePath: string,
        }
    }
}
```

## present register

### get(编辑，从detail页面过来) / post:
```js
present: {
    gender: int,
    desc: string, // present description
    tags: int[],
    // [
    // "情怀","复古", "有趣", "学霸",  "实用",
    // "同年", "吃货", "佛系",  "土味", "活力",
    // "洋气", "精致",  "轻奢",  "其它",
    // ]
    photo: object
}
```
## index

### get
```js
presents: [
    present: {
        id: int,
        photo: object,
        title: string,
        desc: string,
        publish-time: string, // date
        status: int,
        // ['审核中', '匹配中', '匹配成功', '交换成功', '审核失败']
    }
]
```

## gift detail

### get?presentId=xx
```js
present: {
    dormitory: int,
    wechat: string,
    comment: string,
    recieved_present_id: int, // 查收到的礼物
}
recievedPresent: {
    photo: object,
    title: string,
    desc: string,
    dormitory: int,
    wechat: string,
    comment: string,
}
```